using System;
using System.Collections.Generic;
using System.Text;

namespace Vevo.Shared.Utilities
{
    public static class RandomUtilities
    {
        #region Private

        private static Random _random;

        #endregion


        #region Constructors

        static RandomUtilities()
        {
            DateTime dtCurrTime = DateTime.Now;
            int ms = dtCurrTime.Millisecond;
            int sc = dtCurrTime.Second;

            _random = new Random( ms * sc );
        }

        #endregion


        #region Public Methods

        public static int RandomNumber( int limit )
        {
            int num = _random.Next( 1, limit + 1 );
            return num;
        }

        public static string RandomLettersOrDigits( int length )
        {
            Random r = new Random();

            string result = "";

            int valueOfBigA = Char.ConvertToUtf32( "A", 0 );
            int valueOfSmallA = Char.ConvertToUtf32( "a", 0 );
            for (int i = 0; i < length; i++)
            {
                int random = RandomNumber( 61 );
                if (random <= 10)
                {
                    result += (random - 1).ToString();
                }
                else if (random <= 36)
                {
                    result += Char.ConvertFromUtf32( valueOfBigA + random - 11 );
                }
                else
                {
                    result += Char.ConvertFromUtf32( valueOfSmallA + random - 37 );
                }
            }

            return result;
        }

        public static string RandomNumberNDigits( int N )
        {
            Random r = new Random();
            string randomNumber = "";
            string num = "";
            for (int i = 1; i < N + 1; i++)
            {
                num = r.Next( 0, 9 ).ToString();
                randomNumber += num;
            }
            return randomNumber;
        }

        #endregion

    }
}
