using System;
using System.Collections.Generic;
using System.Data;
using System.Text;
using Vevo.Domain;
using Vevo.Domain.DataInterfaces;
using Vevo.Shared.DataAccess;
using Vevo.Shared.Utilities;

namespace Vevo.Data
{
    internal static class RepositoryUtilities
    {
        public static FlagFilter ConvertToFlagFilter( BoolFilter boolFilter )
        {
            return EnumUtilities<FlagFilter>.Parse( boolFilter.ToString() );
        }

        public static IList<String> ConvertTableToStringList( DataTable table, string columnName )
        {
            IList<String> list = new List<String>();
            foreach (DataRow row in table.Rows)
                list.Add( row[columnName].ToString() );

            return list;
        }

        public static IList<TableSchemaItem> ConvertTableToSchemaItemList( DataTable table )
        {
            IList<TableSchemaItem> list = new List<TableSchemaItem>();
            foreach (DataColumn col in table.Columns)
            {
                list.Add( new TableSchemaItem( col.ColumnName, col.DataType ) );
            }
            return list;
        }

        public static string GetCultureID( Culture culture )
        {
            return culture.CultureID;
        }
    }
}
