using System;
using System.Collections.Generic;
using System.Globalization;
using System.Text;

namespace Vevo.Domain
{
    [Serializable]
    public class Culture : ICloneable
    {
        #region Private

        private const string USCultureName = "en-US";

        private string _cultureID = "0";
        private string _name = String.Empty;
        private string _displayName = String.Empty;
        private bool _enabled = true;

        private static CultureInfo _usCultureInfo;

        #endregion


        #region Constructors

        public Culture()
        {
        }

        #endregion


        #region Public Properties

        public static Culture Null
        {
            get { return NullCulture.Instance; }
        }

        public virtual bool IsNull
        {
            get { return false; }
        }

        public string CultureID { get { return _cultureID; } set { _cultureID = value; } }
        public string Name { get { return _name; } set { _name = value; } }
        public string DisplayName { get { return _displayName; } set { _displayName = value; } }
        public bool Enabled { get { return _enabled; } set { _enabled = value; } }

        public static CultureInfo USCultureInfo
        {
            get
            {
                if (_usCultureInfo == null)
                    _usCultureInfo = new CultureInfo( USCultureName );

                return _usCultureInfo;
            }
        }

        #endregion


        #region IClonable Members

        // Copy the whole aggregate (including locale)
        public object Clone()
        {
            Culture newObject = (Culture) MemberwiseClone();
            return newObject;
        }

        #endregion
    }
}
