﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Vevo.Domain.Base;
using Vevo.Domain.Products;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ISpecificationGroupRepository
    {
        IList<ILocale> GetLocales( string specificationGroupID );
        IList<TableSchemaItem> GetTableSchema();
        SpecificationGroup Save( SpecificationGroup specificationGroup );
        void Delete( string specificationGroupID );
        void DeleteLocalesByCultureID( string cultureID );
        SpecificationGroup GetOne( Culture culture, string specificationGroupID );
        IList<SpecificationGroup> GetAll( Culture culture );
        IList<SpecificationGroup> SearchSpecificationGroup(
           Culture culture,
           string sortBy,
           SearchFilter searchFilter,
           int startIndex,
           int endIndex,
           out int howManyItems
           );
    }
}
