using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace Vevo.WebUI.Products
{
    /// <summary>
    /// Summary description for BaseProductList
    /// </summary>
    public class BaseProductListControl : Vevo.WebUI.International.BaseLanguageUserControl
    {
        private DataAccessCallbacks.ProductListRetriever _retriever;

        public DataAccessCallbacks.ProductListRetriever DataRetriever
        {
            get
            {
                return _retriever;
            }
            set
            {
                _retriever = value;
            }
        }

        public object[] UserDefinedParameters
        {
            get
            {
                return (object[]) ViewState["UserDefinedParameters"];
            }
            set
            {
                ViewState["UserDefinedParameters"] = value;
            }
        }

        public bool IsSearchResult
        {
            get
            {
                if (ViewState["IsSearchResult"] == null)
                {
                    ViewState["IsSearchResult"] = false;
                }

                return (bool) ViewState["IsSearchResult"];
            }
            set
            {
                ViewState["IsSearchResult"] = value;
            }
        }
    }
}
